summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.github/travis/before-install.sh2
-rw-r--r--.github/travis/build-all.sh35
-rw-r--r--.github/travis/build.sh20
-rw-r--r--.travis.yml7
4 files changed, 51 insertions, 13 deletions
diff --git a/.github/travis/before-install.sh b/.github/travis/before-install.sh
index 3d9c91c4..22d93970 100644
--- a/.github/travis/before-install.sh
+++ b/.github/travis/before-install.sh
@@ -3,7 +3,7 @@
if [ "$TRAVIS_OS_NAME" = "linux" ]; then
sudo apt-get update -qq
sudo apt-get -y install bison \
- autotools-dev \
+ autotools-dev \
libncurses5-dev \
libevent-dev \
pkg-config \
diff --git a/.github/travis/build-all.sh b/.github/travis/build-all.sh
new file mode 100644
index 00000000..561f9e30
--- /dev/null
+++ b/.github/travis/build-all.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+BUILD=$PWD/build
+
+LIBEVENT=https://github.com/libevent/libevent/releases/download/release-2.1.11-stable/libevent-2.1.11-stab\
+le.tar.gz
+NCURSES=ftp://ftp.invisible-island.net/ncurses/ncurses-6.2.tar.gz
+
+wget -q $LIBEVENT || exit 1
+tar -zxf libevent-*.tar.gz || exit 1
+(cd libevent-*/ &&
+ ./configure --prefix=$BUILD \
+ --enable-shared \
+ --disable-libevent-regress \
+ --disable-samples &&
+ make && make install) || exit 1
+
+wget -q $NCURSES || exit 1
+tar -zxf ncurses-*.tar.gz || exit 1
+(cd ncurses-*/ &&
+ CPPFLAGS=-P ./configure --prefix=$BUILD \
+ --with-shared \
+ --without-ada \
+ --without-cxx \
+ --without-manpages \
+ --without-progs \
+ --without-tests \
+ --without-tack \
+ --enable-pc-files \
+ --with-pkg-config-libdir=$BUILD/lib/pkgconfig &&
+ make && make install) || exit 1
+
+sh autogen.sh || exit 1
+PKG_CONFIG_PATH=$BUILD/lib/pkgconfig ./configure --prefix=$BUILD "$@"
+make && make install || exit 1
diff --git a/.github/travis/build.sh b/.github/travis/build.sh
index cbd4e45b..c244c59c 100644
--- a/.github/travis/build.sh
+++ b/.github/travis/build.sh
@@ -1,9 +1,17 @@
#!/bin/sh
sh autogen.sh || exit 1
-if [ "$BUILD" = "static" ]; then
- ./configure --enable-static || exit 1
-else
- ./configure || exit 1
-fi
-exec make
+case "$BUILD" in
+ static)
+ ./configure --enable-static || exit 1
+ exec make
+ ;;
+ all)
+ sh $(dirname $0)/build-all.sh
+ exec make
+ ;;
+ *)
+ ./configure || exit 1
+ exec make
+ ;;
+esac
diff --git a/.travis.yml b/.travis.yml
index b7d2021d..d093574c 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -12,15 +12,10 @@ arch:
- amd64
- arm64
-dist:
- - xenial
- - bionic
- - trusty
- - precise
-
env:
- BUILD=
- BUILD=static
+ - BUILD=all
jobs:
exclude: